#
# spec file for package agg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           agg
Version:        2.5
Release:        363.1
Summary:        C++ SVG Rendering Library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Url:            http://antigrain.com
BuildRequires:  SDL-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  libbz2-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-devel
%if 0
Source:         agg-%{version}.tar.bz2
%else
# WARNING: This is not a comment, but the real command to repack souce:
#%(sh %{_sourcedir}/%{name}-patch-source %{name}-%{version}.tar.bz2)
Source:         agg-%{version}-patched.tar.bz2
%endif
Source1000:     baselibs.conf
Source1:        agg-patch-source
Patch0:         agg-automake-fix.diff
Patch1:         agg-gpc.patch
Patch2:         agg-2.5.dif
Patch3:         agg-remove-const-violation.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Very fast and complete library to render SVG graphics. It provides a
C++ interface.

%package -n libagg2
Summary:        C++ SVG rendering library
Group:          Development/Libraries/C and C++

%description -n libagg2
Very fast and complete library to render SVG graphics. It provides a
C++ interface.

%package devel
Summary:        C++ SVG rendering library
Group:          Development/Libraries/C and C++
Requires:       freetype2-devel
Requires:       glibc-devel
Requires:       libagg2 = %{version}

%description devel
Very fast and complete library to render SVG graphics. It provides a
C++ interface.

%prep
%setup -q
%patch0
%patch1
%patch2 -p0
%patch3 -p1

%build
mkdir m4
autoreconf -fiv
%configure --disable-static
make -j1

%install
%make_install
rm -f %{buildroot}%{_libdir}/lib*.la

%post -n libagg2 -p /sbin/ldconfig

%postun -n libagg2 -p /sbin/ldconfig

%files -n libagg2
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc authors ChangeLog copying news readme
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Tue Dec  1 2015 p.drouand@gmail.com
- Add pkg-config build dependency; expand the pkgconfig file
* Sun Jun 21 2015 idonmez@suse.com
- Disable parallel build, its flaky
* Tue May 29 2012 jengelh@inai.de
- Update agg-automake-fix.diff and remove archaic constructs
  from Makefile.am/configure.ac that inhibit working with
  automake 1.12.
- Remove pointless (self-)Obsoletes/Requires
* Fri Dec 30 2011 idonmez@suse.com
- Add agg-remove-const-violation.patch: Don't leak non-const
  reference to const private member. Based on NetBSD patch.
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Wed Apr 27 2011 adrian@suse.de
- rename to follow new library policy
* Sun Apr 24 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Wed Dec  8 2010 cristian.rodriguez@opensuse.org
- use smp_flags
- Fix -devel package dependencies
* Tue Sep 30 2008 kukuk@suse.de
- Adjust configure script for new libtool
* Mon Sep 10 2007 sbrabec@suse.cz
- Added a script for automatic stripping of gpc on submit,
  removed unusable header related to gpc (#286682).
* Tue Sep  4 2007 adrian@suse.de
- remove gpc/ directory in tar ball due to its license #286682
* Thu Jun 21 2007 tiwai@suse.de
- updated to version 2.5:
  * released under GPL
  * many improvements and fixes since 2.2, see
    http://antigrain.com/news/
- enabled SDL
* Mon Apr  2 2007 adrian@suse.de
- add libbz2-devel to BuildRequires
- fix -devel package Requires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 15 2004 adrian@suse.de
- make gpc support optional and disable it by default.
  This solves a license issue and make this library GPL compliant again.
* Tue Oct 26 2004 adrian@suse.de
- initial package of version 2.2
- X11 only package, no SDL library yet
